Unable to get a valid OpenGL ES 2.0 config

Hello,



i am trying to run the simple helloworld application in my ideos x1 (android 2.2 ) which supports (as i know ) opengl es 2.

I am receiving the following.



Unable to get a valid OpenGL ES 2.0 config, nether Fastest nor Best found! Bug. Please report this.

E/OGLESContext( 5573): Unable to find suitable EGL config

E/OGLESContext( 5573): OpenGL ES 2.0 is not supported on this device





The app tries to start,it gives me a black screen with the title bar and then cruses.



Thanks!